Bug 14483 - Translated KDE menus include strange letters
Translated KDE menus include strange letters
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-22 21:38 EDT by Richard Allen
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-10 19:59:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Allen 2000-07-22 21:38:26 EDT
Installing an Icelandic system and using GNOME produces strange results.
Selecting "KDE Menus" from the main gnome start button gives very strange
letters
that are not Icelandic.
Comment 1 Havoc Pennington 2000-07-24 12:13:57 EDT
I'm not at all sure how to debug this; I wouldn't know an icelandic character if
I saw one. ;-)

Conceivably the KDE .desktop files have the icelandic translation in an unusual
encoding? Adding Bero to the CC.
Comment 2 Havoc Pennington 2000-08-10 19:12:16 EDT
I see the same thing in GNOME that "less app.desktop" inside an xterm displays.
So I think the bug is either in the desktop files or in the way locales and
encodings are set up, I guess that would be in X.
Comment 3 Richard Allen 2000-08-10 19:59:45 EDT
I think Ive narrowed down the problem.  KDE wants desktop.po to be UTF8 encoded, vesus iso-8859-1
Comment 4 Bernhard Rosenkraenzer 2000-08-14 06:41:36 EDT
This should be fixed with the move back to (pre-UTF8) KDE 1.x.

Note You need to log in before you can comment on or make changes to this bug.